DOMElement::setAttributeNode
DOMElement::setAttributeNS
DOMElement
PHP Manual

# DOMElement::setAttributeNodeNS

(PHP 5)

DOMElement::setAttributeNodeNS — Adds new attribute node to element

### Description

DOMAttr DOMElement::setAttributeNodeNS ( DOMAttr `$attr` )

Adds new attribute node `attr` to element.

### Parameters

`attr`

  The attribute node.

### Return Values

Returns the old node if the attribute has been replaced.

### Errors/Exceptions

`DOM_NO_MODIFICATION_ALLOWED_ERR`

  Raised if the node is readonly.

### See Also

- DOMElement::hasAttributeNS - Checks to see if attribute exists
- DOMElement::getAttributeNodeNS - Returns attribute node
- DOMElement::removeAttributeNode - Removes attribute

DOMElement::setAttributeNode
DOMElement::setAttributeNS
DOMElement
PHP Manual